API

Get client addresses

GET/api/crm/v2/clients_addressesv2
operationId: clientsAddresses.default

Authorization

api-token + language + role

Query parameters

chain_idinteger

Example: 1

branch_idinteger
phone_format_idinteger

Example: 1

phone_numberstring

Example: 9999999999

downloadstring

Values:yes

Example: yes

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject
filtersobject
branch_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

phone_format_idobject (FilterSelectInteger)
valueinteger

Example: 8920

typestringrequired

Example: select

optionarray of object
valueintegerrequired

Example: 8920

namestringrequired

Example: Green Basket | Kaliningrad

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

phone_numberobject (FilterInput)
valuestring

Example: example

typestringrequired

Example: integer or string

placeholderstring

Example: string

modestring (FilterMode)

How the interface handles the filter; a regular filter does not have mode.
force_shown — always displayed, cannot be hidden.
value_required — entry point to the section: always displayed, cannot have an empty value (until a value is selected, the list is empty; there is no "all" option), global reset does not clear it.

Values:force_shownvalue_required

Example: value_required

downloadobject (FilterButtonDownloadCsv)

Download selection button: on click, pass download=yes

valuestring

Example: Download

typestringrequired

Example: button_download_csv

listarray of object
idintegerrequired

Example: 1

address_namestringrequired

Example: test

typestringrequired

Values:homeworkparentschildrenfriendscountry_househotelother

Example: other

zip_codestring

Example: 680045

line_1string

Example: 19, Pobedy street, Khabarovsk, 680045, Russia

line_2string

Example: example

streetstring

Example: Pobedy street

housestring

Example: 19

buildingstring

Example: 1

entrance_numberstring

Example: 1

entrance_codestring

Example: 11

floorstring

Example: 111

apartmentstring

Example: 111

phone_format_idinteger

Example: 1

phone_numberstring

Example: 9999999999

client_namestring

Example: client name

city_namestring

Example: Khabarovsk

paginationobject (Pagination)
max_countintegerrequired

Number of items per page

Example: 30

page_numberintegerrequired

Current page number; limited so that the offset does not exceed 1000

Example: 1

has_nextbooleanrequired

Is there a next page

Example: true

has_previousbooleanrequired

Is there a previous page

Example: false